Bug 1650947 (python-pygiftiio) - Review Request: python-pygiftiio - Python bindings for Gifti
Summary: Review Request: python-pygiftiio - Python bindings for Gifti
Keywords:
Status: CLOSED ERRATA
Alias: python-pygiftiio
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-17 21:47 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-29 04:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 02:26:54 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-17 21:47:31 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio-1.0.4-1.fc29.src.rpm

Description: 
GIFTI is an XML-based file format for cortical surface data. This reference IO
implementation is developed by the Neuroimaging Informatics Technology
Initiative (NIfTI).


Fedora Account System Username: ankursinha

Comment 1 Manas Mangaonkar (Pac23) 2018-11-18 07:01:30 UTC
This is not a Official Review,Not Sponsored Yet 
--------------------------------------------------------------

Mock Build Fails 

Reason is as per the build.log 

BUILDSTDERR:    /%{python2_sitelib}/pygiftiio.py
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96$
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 636, in do
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), ch$
mockbuild.exception.Error: Command failed:
 # /usr/bin/systemd-nspawn -q -M 01880446ff384476973d232d9b6f3585 -D /var/lib/m$

Comment 2 Ankur Sinha (FranciscoD) 2018-11-18 09:50:53 UTC
The error isn't too clear somehow. I did check koji again and I *think* I've corrected the issue. 

When you use mock, please specify what target you've used. Since packages may do different things for different targets (releases) as this one does, and versions of packages differ between our releases too, this helps us indentify what the issue may be. This error for example, would not happen if you built for F29, so I suspect you build for rawhide.

Here are successful scratch builds for rawhide and F29 (koji also uses mock):
rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=30963539
f29: https://koji.fedoraproject.org/koji/taskinfo?taskID=30963549

Updated spec/srpm:
Spec URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio-1.0.4-1.fc29.src.rpm

Comment 3 Robert-André Mauchin 2018-11-18 15:03:03 UTC
License:        MIT

%license LICENSE.GPL

Is it GPL or MIT?

Comment 4 Robert-André Mauchin 2018-11-18 15:50:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-pygiftiio
     /review-python-pygiftiio/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pygiftiio-1.0.4-1.fc30.noarch.rpm
          python-pygiftiio-1.0.4-1.fc30.src.rpm
python3-pygiftiio.noarch: E: devel-dependency gifticlib-devel
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Comment 5 Ankur Sinha (FranciscoD) 2018-11-18 20:13:48 UTC
(In reply to Robert-André Mauchin from comment #3)
> License:        MIT
> 
> %license LICENSE.GPL
> 
> Is it GPL or MIT?

Gah! Sorry about that---that's from the template. It's GPL. Corrected:

Spec URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pygiftiio/python-pygiftiio-1.0.4-1.fc29.src.rpm

Comment 6 Robert-André Mauchin 2018-11-18 21:42:03 UTC
LGTM, package approved.

Comment 7 Ankur Sinha (FranciscoD) 2018-11-18 21:56:50 UTC
Thanks very much! SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8898

Comment 8 Gwyn Ciesla 2018-11-19 14:47:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pygiftiio

Comment 9 Fedora Update System 2018-11-19 16:46:50 UTC
python-pygiftiio-1.0.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-625dee4559

Comment 10 Fedora Update System 2018-11-19 16:46:50 UTC
python-pygiftiio-1.0.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-625dee4559

Comment 11 Fedora Update System 2018-11-19 16:46:54 UTC
python-pygiftiio-1.0.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa97f027d7

Comment 12 Fedora Update System 2018-11-19 16:46:55 UTC
python-pygiftiio-1.0.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa97f027d7

Comment 13 Fedora Update System 2018-11-20 17:02:38 UTC
python-pygiftiio-1.0.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa97f027d7

Comment 14 Fedora Update System 2018-11-20 19:28:53 UTC
python-pygiftiio-1.0.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-625dee4559

Comment 15 Fedora Update System 2018-11-29 02:26:54 UTC
python-pygiftiio-1.0.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-29 04:57:53 UTC
python-pygiftiio-1.0.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.